CVE Vulnerabilities

CVE-2004-2560

Published: Dec 31, 2004 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

DokuWiki before 2004-10-19, when used on a web server that permits execution based on file extension, allows remote attackers to execute arbitrary code by uploading a file with an appropriate extension such as .php or .cgi.

Affected Software

Name Vendor Start Version End Version
Dokuwiki Andreas_gohr release_2004-07-04 release_2004-07-04
Dokuwiki Andreas_gohr release_2004-07-07 release_2004-07-07
Dokuwiki Andreas_gohr release_2004-07-12 release_2004-07-12
Dokuwiki Andreas_gohr release_2004-07-21 release_2004-07-21
Dokuwiki Andreas_gohr release_2004-07-25 release_2004-07-25
Dokuwiki Andreas_gohr release_2004-08-08 release_2004-08-08
Dokuwiki Andreas_gohr release_2004-08-15a release_2004-08-15a
Dokuwiki Andreas_gohr release_2004-08-22 release_2004-08-22
Dokuwiki Andreas_gohr release_2004-09-12 release_2004-09-12
Dokuwiki Andreas_gohr release_2004-09-25 release_2004-09-25
Dokuwiki Andreas_gohr release_2004-09-30 release_2004-09-30

References